io.undertow.websockets.core

## Class WebSocketException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - io.undertow.websockets.core.WebSocketException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidOpCodeException, WebSocketFrameCorruptedException, WebSocketHandshakeException, WebSocketInvalidCloseCodeException

    public class WebSocketException
    extends IOException

Base class for all WebSocket Exceptions

Author:
  Norman Maurer
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WebSocketException()`
`WebSocketException(String msg)`
`WebSocketException(String msg, Throwable cause)`
`WebSocketException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebSocketException

    public WebSocketException()

#### WebSocketException

    public WebSocketException(String msg,
                              Throwable cause)

#### WebSocketException

    public WebSocketException(String msg)

#### WebSocketException

    public WebSocketException(Throwable cause)